#toc.tocify {
    position: sticky;
    top: 15px;
    bottom: auto;
    z-index: 1;
    height: auto;
    overflow-y: scroll;
    max-height: calc(100vh - 180px);
    background-color: rgba(255, 255, 255, 0.8);
    padding-bottom: 10px;
    padding-left: 10px;
    margin: 120px 0 25px;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

@media (max-width: 991px) {
    #toc.tocify {
        margin-top: 90px;
    }
}

.admin-bar #toc.tocify {
    top: 35px;
}

#toc.tocify::-webkit-scrollbar {
    display: none;
}

#toc.tocify .tocify-header {
    list-style: none;
    margin: 0 0 0 10px;
    padding: 1px 0 0;
    border-left: none;
}

#toc.tocify .tocify-item {
    position: relative;
    background-color: transparent;
    padding: 0 15px 15px;
    border-left: 1px solid #3fa855;
    margin: 0;
    font-size: 13px;
    line-height: 22px;
    font-weight: 400;
}

#toc.tocify .tocify-item::before {
    content: "";
    position: absolute;
    left: -7px;
    top: 3px;
    z-index: 1;
    display: block;
    width: 13px;
    height: 13px;
    border: 1px solid #3fa855;
    border-radius: 50%;
    background-color: #f1f7ed;
    transition: all 0.3s ease-in-out;
}

#toc.tocify .tocify-item:first-child::after {
    content: "";
    position: absolute;
    left: -7px;
    top: -1px;
    z-index: 0;
    display: block;
    width: 13px;
    height: 13px;
    background-color: #fff;
}

#toc.tocify .tocify-item:last-child {
    border-color: transparent;
}

#toc.tocify .tocify-item:last-child::before {
    width: 21px;
    height: 21px;
    border: 2px solid #3fa855;
    left: -11px;
    top: -1px;
}

#toc.tocify .tocify-item:last-child::after {
    content: "";
    position: absolute;
    left: -6px;
    top: 3px;
    z-index: 2;
    display: block;
    width: 11px;
    height: 12px;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' viewBox='0 0 492 492'%3e%3cpath fill='%2382c850' d='m207.4 27.7.2-.8v329.2L103.9 252.6c-5.1-5.1-11.9-7.8-19.1-7.8-7.2 0-14 2.8-19.1 7.8l-16.1 16.1c-5.1 5.1-7.9 11.8-7.9 19 0 7.2 2.8 14 7.8 19l177.4 177.4c5.1 5.1 11.9 7.9 19.1 7.8 7.2 0 14-2.8 19.1-7.8l177.4-177.4c5.1-5.1 7.8-11.8 7.8-19 0-7.2-2.8-13.9-7.8-19l-16.1-16.1c-5.1-5.1-11.8-7.8-19-7.8-7.2 0-13.6 2.8-18.7 7.8L284.4 357.3v-330c0-14.8-12.8-27.3-27.6-27.3H234c-14.8 0-26.6 12.8-26.6 27.7z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: contain;
}

#toc.tocify .tocify-item:last-child:hover::after,
#toc.tocify .tocify-item:last-child.tocify-focus::after {
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' viewBox='0 0 492 492'%3e%3cpath fill='%23fff' d='m207.4 27.7.2-.8v329.2L103.9 252.6c-5.1-5.1-11.9-7.8-19.1-7.8-7.2 0-14 2.8-19.1 7.8l-16.1 16.1c-5.1 5.1-7.9 11.8-7.9 19 0 7.2 2.8 14 7.8 19l177.4 177.4c5.1 5.1 11.9 7.9 19.1 7.8 7.2 0 14-2.8 19.1-7.8l177.4-177.4c5.1-5.1 7.8-11.8 7.8-19 0-7.2-2.8-13.9-7.8-19l-16.1-16.1c-5.1-5.1-11.8-7.8-19-7.8-7.2 0-13.6 2.8-18.7 7.8L284.4 357.3v-330c0-14.8-12.8-27.3-27.6-27.3H234c-14.8 0-26.6 12.8-26.6 27.7z'/%3e%3c/svg%3e");
}

#toc.tocify .tocify-header .tocify-item:hover::before,
#toc.tocify .tocify-header .tocify-item.tocify-focus::before {
    background-color: #3fa855;
    box-shadow: 0 0 0 4px rgba(130, 200, 80, 0.22);
}

#toc.tocify .tocify-item a {
    display: block;
    color: #2b3639;
    cursor: pointer;
    text-decoration: none;
}

#toc.tocify .tocify-item:hover a,
#toc.tocify .tocify-item.tocify-focus a {
    color: #000;
}

@media (max-width: 768px) {
    #toc.tocify {
        display: none;
    }
}
